/**
 * changesview.h
 *
 * Copyright (C)  2004  Zack Rusin <zack@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
 */
#ifndef CHANGESVIEW_H
#define CHANGESVIEW_H

#include "changesviewui.h"

#include <qdict.h>

namespace KConfigEditor
{
    class EntryToken;
    class ChangesView : public ChangesViewUI
    {
        Q_OBJECT
    public:
        ChangesView( QWidget *parent );

    public slots:
        void fillChanges( QDict<EntryToken>  &changes, QDict<EntryToken>  &stillPending );
        void generateBackupScript();
        void generatePropagationScript();

    protected slots:
        void removeEntry();
        void writeFile( const QString &contents );

    private:
        QDict<EntryToken> m_entries;
        QDict<EntryToken> m_pendingEntries;
    };
}

#endif
